Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::UserParam Struct Reference

## Public Member Functions

QString | toString () const

## Public Attributes

QString | name
QString | value

## Detailed Description

Definition at line 160 of file mzidentmlreader.h.

## Member Function Documentation

## toString()

QString pappso::cbor::psm::MzIdentMlReader::UserParam::toString | ( |  | ) | const

Definition at line 56 of file mzidentmlreader.cpp.

{
return QString("%1 %2").arg(name).arg(value);
}
pappso::cbor::psm::MzIdentMlReader::UserParam::value
QString value
Definition mzidentmlreader.h:163
pappso::cbor::psm::MzIdentMlReader::UserParam::name
QString name
Definition mzidentmlreader.h:162

References name, and value.

Referenced by pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationItem(), and pappso::cbor::psm::MzIdentMlReader::readSpectrumIdentificationResult().

## Member Data Documentation

## name

QString pappso::cbor::psm::MzIdentMlReader::UserParam::name

Definition at line 162 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readUserParam(), and toString().

## value

QString pappso::cbor::psm::MzIdentMlReader::UserParam::value

Definition at line 163 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readUserParam(), and toString().

The documentation for this struct was generated from the following files:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h
- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.cpp